/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  DeadFTP
 *  Copyright (C) 2000-2001 Brandon Lees
 */

#ifndef	_GLOBALS_H_DEAD_
#define	_GLOBALS_H_DEAD_

#include "layout.h"

#define SMALL_BUFFER            256
#define REGULAR_BUFFER          512
#define BIG_BUFFER              8192

#define	ONE_KILOBYTE		1024.0	/* Number of bytes in a kilobyte */

#define	STORE_WIDGET(struct, name)	struct.name = glade_xml_get_widget(xml, #name); g_assert(struct.name != NULL)

#define	gettext_noop(x)		(x)

typedef enum { RESUME_ASK = 0, RESUME_OVERWRITE, RESUME_RESUME, RESUME_SKIP
} resume_t;
#define RESUME_COND_SMALLER   0
#define RESUME_COND_EQUAL     1
#define RESUME_COND_BIGGER    2
#define NUM_RESUME_CONDITIONS 3

typedef struct {
  gchar *anonymous_password;
  gchar *download_directory;
  gchar *log_filename;
  gboolean logging;

  gint connect_timeout;
  gint retry_delay;
  gint retry_count;
  gint log_scrollback;

  gboolean anti_idle;
  gint anti_idle_time;
  gboolean login_message;
  gboolean clipboard_monitor;
  gboolean selection_monitor;

  resume_t resume_upload[NUM_RESUME_CONDITIONS];
  resume_t resume_download[NUM_RESUME_CONDITIONS];
  gboolean resume_timeout;
  gint resume_timeout_time;

  enum { LIST_DEFAULT, LIST_SHOW_HIDDEN, LIST_CUSTOM } list_method;
  gchar *list_command;

  GdkColor error;
  GdkColor info;
  GdkColor local;
  GdkColor remote;

  gint directory_layout[NUM_DIR_LAYOUTS];
  gint local_sort_field;
  gboolean local_sort_order;
  gboolean local_auto_size;
  gint remote_sort_field;
  gboolean remote_sort_order;
  gboolean remote_auto_size;

  gint queue_layout[NUM_QUEUE_LAYOUTS];

  enum { FINISH_IDLE, FINISH_DISCONNECT, FINISH_EXIT } finish_action;

  struct {
    gboolean use_proxy;
    gint proxy_type;
    gchar *proxy_hostname;
    guint proxy_port;
    gchar *proxy_username;
    gchar *proxy_password;
    gboolean use_pasv;

    gboolean limit_port_range;
    gint limit_port_low;
    gint limit_port_high;

    gboolean bind_ip;
    gchar *bind_ip_address;
  } firewall;

  GList *hostname_history;
  GList *port_history;
  GList *username_history;
} Preferences;

extern Preferences deadftp_prefs;

#endif /* _GLOBALS_H_DEAD_ */
