/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  DeadFTP
 *  Copyright (C) 2000-2001 Brandon Lees
 */

#ifndef _LAYOUT_H_DEAD_
#define	_LAYOUT_H_DEAD_

/* defines for dir clist layout */
#define DIR_LAYOUT_FILE		0
#define	DIR_LAYOUT_LENGTH	1
#define	DIR_LAYOUT_MODE		2
#define	DIR_LAYOUT_OWNER	3
#define	DIR_LAYOUT_GROUP	4
#define	DIR_LAYOUT_DATE		5

#define	NUM_DIR_LAYOUTS	        6

/* defines for queue clist layout */
#define	QUEUE_LAYOUT_LOCAL_FILE		0
#define	QUEUE_LAYOUT_LOCAL_DIR		1
#define	QUEUE_LAYOUT_REMOTE_FILE	2
#define	QUEUE_LAYOUT_REMOTE_DIR		3
#define	QUEUE_LAYOUT_HOSTNAME		4
#define	QUEUE_LAYOUT_PORT		5
#define	QUEUE_LAYOUT_USERNAME		6
#define QUEUE_LAYOUT_SIZE		7
#define	QUEUE_LAYOUT_STATUS		8
#define	QUEUE_LAYOUT_REMOTE_PATH	9	/* PATH = DIR + FILE */
#define	QUEUE_LAYOUT_LOCAL_PATH		10
#define	QUEUE_LAYOUT_URL		11
#define	QUEUE_LAYOUT_DIRECTION		12

#define	NUM_QUEUE_LAYOUTS		13

#define	DIR_SORT_ASC			0
#define	DIR_SORT_DSC			1

void init_local_dir_layout(void);
void init_remote_dir_layout(void);

void init_queue_layout(void);

extern const char *dir_layout_titles[];
extern const char *queue_layout_titles[];

#endif /* _LAYOUT_H_DEAD_ */
