/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  DeadFTP
 *  Copyright (C) 2000-2001 Brandon Lees
 */

#ifndef	_MAIN_H_DEAD_
#define	_MAIN_H_DEAD_

#include "layout.h"

typedef struct {
  char gladefile[REGULAR_BUFFER];

  GtkWidget *window;

  GtkWidget *quick_hostname;
  GtkWidget *quick_hostname_combo;
  GtkWidget *quick_port;
  GtkWidget *quick_port_combo;
  GtkWidget *quick_username;
  GtkWidget *quick_username_combo;
  GtkWidget *quick_password;

  GtkWidget *local_textcombo;
  GtkWidget *local_combo;
  GtkWidget *local_up;
  GtkWidget *local;
  GtkWidget *local_boxs[NUM_DIR_LAYOUTS];
  GtkWidget *local_titles[NUM_DIR_LAYOUTS];
  GtkWidget *local_arrow;
  struct {
    GtkWidget *arrange[NUM_DIR_LAYOUTS];
    GtkWidget *arrange_ascending;
    GtkWidget *arrange_descending;
    GtkWidget *arrange_autosize;
  } local_popup;

  GtkWidget *host_scroll;
  GtkWidget *remote_scroll;

  GtkWidget *remote_textcombo;
  GtkWidget *remote_combo;
  GtkWidget *remote_up;
  GtkWidget *remote;
  GtkWidget *remote_boxs[NUM_DIR_LAYOUTS];
  GtkWidget *remote_titles[NUM_DIR_LAYOUTS];
  GtkWidget *remote_arrow;
  struct {
    GtkWidget *arrange[NUM_DIR_LAYOUTS];
    GtkWidget *arrange_ascending;
    GtkWidget *arrange_descending;
    GtkWidget *arrange_autosize;
  } remote_popup;

  GtkWidget *queue;
  GtkWidget *console;

  GtkWidget *status_state;
  GtkWidget *status_progress;
  GtkWidget *status_speed;
  GtkWidget *status_elapsed;
  GtkWidget *status_remaining;
  GtkWidget *status_queue;

  GtkWidget *showReadme;

  GtkWidget *finish_idle;
  GtkWidget *finish_disconnect;
  GtkWidget *finish_exit;

  struct {
    GtkWidget *dialog;
    GtkWidget *queue_file_entry;
  } queueSave;

  struct {
    GtkWidget *dialog;
    GtkWidget *directory_name;
  } newDir;

  struct {
    GtkWidget *dialog;
    GtkWidget *filename;
    GtkWidget *newfilename;
  } renameDialog;

  struct {
    GtkWidget *mode_user_read;
    GtkWidget *mode_user_write;
    GtkWidget *mode_user_exe;
    GtkWidget *mode_group_read;
    GtkWidget *mode_group_write;
    GtkWidget *mode_group_exe;
    GtkWidget *mode_other_read;
    GtkWidget *mode_other_write;
    GtkWidget *mode_other_exe;
    GtkWidget *mode;

    gboolean dont_handle_signal;
  } modeDialog;

} mainwindow_t;

extern mainwindow_t deadftp;

typedef enum { CONSOLE_LOCAL = 0, CONSOLE_REMOTE, CONSOLE_INFO, CONSOLE_ERROR } console_level_t;

void print_console(console_level_t, char *, ...);
void console_log_init(void);

#endif /* _MAIN_H_DEAD_ */
