/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  DeadFTP
 *  Copyright (C) 2000-2001 Brandon Lees
 */

#ifndef	_REMOTE_H_DEAD_
#define	_REMOTE_H_DEAD_

#include "queue.h"

extern GList *remote_row;
extern guint status_state_id, status_speed_id, status_elapsed_id,
  status_remaining_id;
extern guint status_queue_id;

void remote_init(void);
void init_remote_dir_layout(void);

void remote_history_add_item(GList ** history, char *value);
void remote_history_set_list(GList * history, GtkWidget * combo);
void remote_history_save_list(GList * history, const char *section);
void remote_history_load_list(GList ** history, const char *section);
gint remote_connect_time(gpointer data);
void remote_update_dir_list(void);
void remote_do_rename(const char *oldfile, const char *newfile);
void remote_change_combo(const char *dir);
void remote_change_dir(const char *dir);
void remote_update_quick_connect(void);

#define	REMOTE_HISTORY_SAVE	10

#define STATUS_CTX_STATE        "STATE"
#define STATUS_CTX_SPEED        "SPEED"
#define STATUS_CTX_ELAPSED      "ELAPSED"
#define STATUS_CTX_REMAINING    "REMAINING"
#define STATUS_CTX_QUEUE        "QUEUE"

#endif /* _REMOTE_H_DEAD_ */
